Debian Bug report logs - #717251
libjtds-java: FTBFS with Java7

version graph

Package: libjtds-java; Maintainer for libjtds-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libjtds-java is src:libjtds-java.

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Thu, 18 Jul 2013 12:03:02 UTC

Severity: serious

Tags: jessie, sid

Found in version libjtds-java/1.2.5+dfsg-2

Fixed in version libjtds-java/1.2.5+dfsg-3

Done: Martín Ferrari <tincho@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martín Ferrari <tincho@debian.org>:
Bug#717251; Package libjtds-java. (Thu, 18 Jul 2013 12:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Martín Ferrari <tincho@debian.org>. (Thu, 18 Jul 2013 12:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: libjtds-java: FTBFS with Java7
Date: Thu, 18 Jul 2013 19:58:18 +0800
[Message part 1 (text/plain, inline)]
Package: libjtds-java
Version: 1.2.5+dfsg-2
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

compile:
    [javac] /tmp/buildd/libjtds-java-1.2.5+dfsg/debian/build.xml:48:
warning: 'includeantruntime' was not set, defaulting to
build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 67 source files to
/tmp/buildd/libjtds-java-1.2.5+dfsg/build
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/ConnectionJDBC2.java:59:
error: ConnectionJDBC2 is not abstract and does not override abstract
method getNetworkTimeout() in Connection
    [javac] public class ConnectionJDBC2 implements java.sql.Connection {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/JtdsStatement.java:59:
error: JtdsStatement is not abstract and does not override abstract method
isCloseOnCompletion() in Statement
    [javac] public class JtdsStatement implements java.sql.Statement {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/JtdsPreparedStatement.java:51:
error: JtdsPreparedStatement is not abstract and does not override abstract
method isCloseOnCompletion() in Statement
    [javac] public class JtdsPreparedStatement extends JtdsStatement
implements PreparedStatement {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/JtdsResultSet.java:48:
error: JtdsResultSet is not abstract and does not override abstract method
<T>getObject(String,Class<T>) in ResultSet
    [javac] public class JtdsResultSet implements ResultSet {
    [javac]        ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method
<T>getObject(String,Class<T>)
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/Driver.java:50:
error: net.sourceforge.jtds.jdbc.Driver is not abstract and does not
override abstract method getParentLogger() in java.sql.Driver
    [javac] public class Driver implements java.sql.Driver {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/JtdsCallableStatement.java:44:
error: JtdsCallableStatement is not abstract and does not override abstract
method <T>getObject(String,Class<T>) in CallableStatement
    [javac] public class JtdsCallableStatement extends
JtdsPreparedStatement implements CallableStatement {
    [javac]        ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method
<T>getObject(String,Class<T>)
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbc/JtdsDatabaseMetaData.java:48:
error: JtdsDatabaseMetaData is not abstract and does not override abstract
method generatedKeyAlwaysReturned() in DatabaseMetaData
    [javac] public class JtdsDatabaseMetaData implements
java.sql.DatabaseMetaData {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbcx/JtdsDataSource.java:47:
error: JtdsDataSource is not abstract and does not override abstract method
getParentLogger() in CommonDataSource
    [javac] public class JtdsDataSource
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbcx/proxy/StatementProxy.java:32:
error: StatementProxy is not abstract and does not override abstract method
isCloseOnCompletion() in Statement
    [javac] public class StatementProxy implements Statement {
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbcx/proxy/PreparedStatementProxy.java:36:
error: PreparedStatementProxy is not abstract and does not override
abstract method isCloseOnCompletion() in Statement
    [javac] public class PreparedStatementProxy
    [javac]        ^
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbcx/proxy/CallableStatementProxy.java:36:
error: CallableStatementProxy is not abstract and does not override
abstract method <T>getObject(String,Class<T>) in CallableStatement
    [javac] public class CallableStatementProxy
    [javac]        ^
    [javac]   where T is a type-variable:
    [javac]     T extends Object declared in method
<T>getObject(String,Class<T>)
    [javac]
/tmp/buildd/libjtds-java-1.2.5+dfsg/src/main/net/sourceforge/jtds/jdbcx/proxy/ConnectionProxy.java:35:
error: ConnectionProxy is not abstract and does not override abstract
method getNetworkTimeout() in Connection
    [javac] public class ConnectionProxy implements Connection {
    [javac]        ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 12 errors

BUILD FAILED
/tmp/buildd/libjtds-java-1.2.5+dfsg/debian/build.xml:48: Compile failed;
see the compiler error output for details.


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[libjtds-java-openjdk-7-log (application/octet-stream, attachment)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 19 Jul 2013 09:21:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martín Ferrari <tincho@debian.org>:
Bug#717251; Package libjtds-java. (Sun, 21 Jul 2013 04:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martín Ferrari <tincho@debian.org>. (Sun, 21 Jul 2013 04:39:05 GMT) Full text and rfc822 format available.

Message #12 received at 717251@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 717251@bugs.debian.org
Subject: A patch for this bug
Date: Sun, 21 Jul 2013 12:37:13 +0800
[Message part 1 (text/plain, inline)]
Hi,
I make a patch for this bug. Please consider it.


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[libjtds-java_1.2.5+dfsg-2.1.debdiff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martín Ferrari <tincho@debian.org>:
Bug#717251; Package libjtds-java. (Sun, 21 Jul 2013 05:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martín Ferrari <tincho@debian.org>. (Sun, 21 Jul 2013 05:33:09 GMT) Full text and rfc822 format available.

Message #17 received at 717251@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 717251@bugs.debian.org
Subject: Patch update
Date: Sun, 21 Jul 2013 13:30:59 +0800
[Message part 1 (text/plain, inline)]
Sorry for the incomplete changelog description in the previous patch.
I've updated it.

-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[libjtds-java_1.2.5+dfsg-2.1.debdiff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martín Ferrari <tincho@debian.org>:
Bug#717251; Package libjtds-java. (Tue, 23 Jul 2013 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <tincho@tincho.org>:
Extra info received and forwarded to list. Copy sent to Martín Ferrari <tincho@debian.org>. (Tue, 23 Jul 2013 14:09:07 GMT) Full text and rfc822 format available.

Message #22 received at 717251@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@tincho.org>
To: Shuxiong Ye <yeshuxiong@gmail.com>, 717251@bugs.debian.org
Subject: Re: Bug#717251: Patch update
Date: Tue, 23 Jul 2013 14:57:16 +0100
On 21/07/13 06:30, Shuxiong Ye wrote:
> Sorry for the incomplete changelog description in the previous patch.
> I've updated it.

Thank you very much for the bug report and patch. I will look into it ASAP.


-- 
Martín Ferrari



Reply sent to Martín Ferrari <tincho@debian.org>:
You have taken responsibility. (Fri, 02 Aug 2013 16:36:09 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Fri, 02 Aug 2013 16:36:09 GMT) Full text and rfc822 format available.

Message #27 received at 717251-close@bugs.debian.org (full text, mbox):

From: Martín Ferrari <tincho@debian.org>
To: 717251-close@bugs.debian.org
Subject: Bug#717251: fixed in libjtds-java 1.2.5+dfsg-3
Date: Fri, 02 Aug 2013 16:33:05 +0000
Source: libjtds-java
Source-Version: 1.2.5+dfsg-3

We believe that the bug you reported is fixed in the latest version of
libjtds-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717251@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martín Ferrari <tincho@debian.org> (supplier of updated libjtds-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Jul 2013 22:14:07 +0200
Source: libjtds-java
Binary: libjtds-java
Architecture: source all
Version: 1.2.5+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Martín Ferrari <tincho@debian.org>
Description: 
 libjtds-java - JDBC 3.0 driver for Microsoft SQL Server(tm) and Sybase(tm)
Closes: 717251 717853
Changes: 
 libjtds-java (1.2.5+dfsg-3) unstable; urgency=low
 .
   [ Martín Ferrari ]
   * Fix Java7 build issues. (Closes: #717251)
   * Migrate from CDBS to DH.
   * Start using format 3.0 (quilt).
   * Raise compat level to 9.
   * Rename debian/docs to libjtds-java.docs.
   * debian/copyright:
     - Update copyright info.
     - Set GPL version explicitly for packaging.
   * debian/control:
     - Updated Standards-Version to 3.9.4; no changes required.
     - Set Maintainer and Uploader fields for pkg-java.
     - Update Vcs-Browser and add Vcs-Git for pkg-java (Closes: #717853)
     - Remove unused ant-optional dependency, add missing java:Depends.
     - Remove libcrimson-java dependency, as it is now included in the JDK.
 .
   [ Emmanuel Bourg ]
   * debian/copyright: Completed the conversion to the Copyright Format 1.0
   * Install the Maven artifacts in /usr/share/maven-repo
Checksums-Sha1: 
 71d33cfd150ca7d164a42a06c42e94f2a4a82ba5 2074 libjtds-java_1.2.5+dfsg-3.dsc
 e152eb7f12070b0ec463006f6f03af9ab7f56a0d 7077 libjtds-java_1.2.5+dfsg-3.debian.tar.gz
 52010e207348dcf36f36d798acb4fc5614efa67a 679106 libjtds-java_1.2.5+dfsg-3_all.deb
Checksums-Sha256: 
 35a852d9aedefeb28d6293af744a4171fa7f031fe38dc82d2d0e2bf2986ce9d7 2074 libjtds-java_1.2.5+dfsg-3.dsc
 17273d7bfce40a592614edec845b9eec58afbce276c0e7038d82187076675972 7077 libjtds-java_1.2.5+dfsg-3.debian.tar.gz
 42e5539f0829b43c53b11add1653abb2ef518f773fd365e59ed32c3e7e9c7aa1 679106 libjtds-java_1.2.5+dfsg-3_all.deb
Files: 
 997f66e24c17b8fa49838f24633a9c57 2074 java optional libjtds-java_1.2.5+dfsg-3.dsc
 97a45f17c1ac9943ad0a442444f00b94 7077 java optional libjtds-java_1.2.5+dfsg-3.debian.tar.gz
 d64633e5736ee6eacad63202febc2576 679106 java optional libjtds-java_1.2.5+dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJR+9t5AAoJEF3Y4L+Ro9PaHiwP+gOhm2Co7ZfniVsAhX6Y6Tv1
2lzCUB7iKKi/On5NpVdcCDyCvHpZaK7FeiMWGB1LaPKUYwx32Sc55ZGeoSoOg1qR
9Q6zdvWeFcfMzVJ5QDdGP7UZdt2GqSaEVN4YIjF3eccF4Ncjtd98r4E5x0Xpw2Oo
jKGKrrLhCCMI0SwMIkmbalaBm6xfWO7AbKhvRC77CaGGqCj/9ba354lWx6LPEFJ4
7VFYfE/3qqZEmzGhew9giIeY8mgofjPFDUU+W1iUYF1ZD1Z35gjPKugSKoMsxg01
zU5mITmNzkxf9y24OA6EMyTfz8MGB1Lmi/oeBPSgtH6V9+jFZcX4G7Tat989GEEj
Na5ScD3+jiQneCBwF99Sws193qwlxVk1ADMTVB6LsoyL/9mv1tLDoQUQIjf14+J8
HzR0HE6Ef8BfeZgKsMslKyJrV3Tr6mHGO5hDoAK2za16GCpPGxEh9WQnjom42nlB
GR+83kF7BfTtDyq9YR7Dj+YTTGm1IVD9amMdVDpeg8ZuEEGQBYzYHkBiHcDbmAj/
W+qD5ExwdpU21h1BithezzgsLJ7n4nK2w6o3cxL1PRXhiSSAM5AmYzrJMHTIT/xQ
wPkeJw4EcSb0z3uiUEJn+hrVB5XfqQzJdwdEFYmCBKoEHHWzvcmyUkOccZqnVas7
zfoGXT249Q1ZaM7DEbQD
=K54k
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Sep 2013 07:33:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:34:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.